# API Gestor

O projeto _API Gestor_ é uma API que permite a comunicação de outras aplicações com os dados educacionais armazenados em um banco de dados, coletado e modelado pela equipe, que contém diversos dados abertos sobre a educação brasileira. Especificamente, a API permite a obtenção de dados e informações pertinentes para figura de gestores escolares.

## Justificativa

Baseado em um modelo _client-server_, o projeto _API Gestor_ busca reduzir o acoplamento entre os clientes e servidor(es), permitindo que diferentes clientes possam acessar os dados educacionais presentes no banco de dados, produzido pela equipe, através de uma API unificada e especializada para obtenção de dados pertinentes a gestores escolares.

## Descrição

Em sua totalidade, o projeto busca desenvolver ferramentas que auxiliem na gestão escolar a nível do Ensino Fundamental (anos iniciais e finais) através de dados abertos sobre a educação brasileira. Especificamente, o projeto tem como objetivo permitir que gestores acessem indícies educacionais e informações da sua escola através de ferramentes de _visualização de dados_, permitindo que esses dados facilitem a tomada de decisões para melhoria da gestão escolar.

# Projeto(s) Relacionado(s)

- [FrontEnd Gestor](https://github.com/Midna3/frontend-gestor): ferramenta de visualização de dados para gestores escolares, que utiliza a _API Gestor_.

# Equipe 💼

- **Arthur Fernandes Scanoni** [![Github Profile Badge](https://img.shields.io/badge/-Arthursca-100000?style=flat-square&logo=Github&logoColor=white)](https://github.com/Arthursca)
  - _Product owner, desenvolvedor back-end._
- **Átila Rodrigues de Almeida** [![Github Badge](https://img.shields.io/badge/-atilara-100000?style=flat-square&logo=Github&logoColor=white)](https://github.com/atilara)
  - _Scrum Master, desenvolvedor front-end._
- **Luan Lucas Dias Accioly** [![Github Badge](https://img.shields.io/badge/-LuanAccioly-100000?style=flat-square&logo=Github&logoColor=white)](https://github.com/LuanAccioly)
  - _Desenvolvedor front-end._
- **Mario Leandro Batista da Silva** [![Github Badge](https://img.shields.io/badge/-MarioLeandro-100000?style=flat-square&logo=Github&logoColor=white)](https://github.com/MarioLeandro)
  - _Desenvolvedor front-end._
- **João Pedro Freire de Andrade** [![Github Badge](https://img.shields.io/badge/-mrjohnnus-100000?style=flat-square&logo=Github&logoColor=white)](https://github.com/mrjohnnus)
  - _Desenvolvedor back-end._
- **Moésio Wenceslau da Silva Filho** [![Github Badge](https://img.shields.io/badge/-moesio--f-100000?style=flat-square&logo=Github&logoColor=white)](https://github.com/moesio-f)
  - _Desenvolvedor back-end._
- **Luiz Miguel França de Lima** [![Github Badge](https://img.shields.io/badge/-LuizMFL-100000?style=flat-square&logo=Github&logoColor=white)](https://github.com/LuizMFL)
  - _Desenvolvedor back-end._
- **Lucas Lins Pereira da Silva** [![Github Badge](https://img.shields.io/badge/-lucas--lins-100000?style=flat-square&logo=Github&logoColor=white)](https://github.com/lucas-lins)
  - _Desenvolvedor back-end._

---

_Esse projeto foi desenvolvido durante a disciplina **Engenharia de Software** do curso Bacharelado em Ciência da Computação — DC/UFRPE (2021.1), sob orientação do professor [Marcelo Marinho](https://github.com/marcelomarinho)._
